﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using XF.Domain.Repository;

namespace Hotline.Snapshot;

[Description("随手拍用户信息")]
public class SnapshotUserInfo : CreationSoftDeleteEntity
{

    /// <summary>
    /// 用户自己填的邀请码
    /// </summary>
    [SugarColumn(ColumnDescription = "用户自己填的邀请码")]
    public string? InvitationCode { get; set; }

    /// <summary>
    /// 历史已经领取金额总和(单位:元)
    /// </summary>
    [SugarColumn(ColumnDescription = "历史已经领取金额总和(单位:元)")]
    public double TotalAmount { get; set; }

    /// <summary>
    /// 第三方账号Id
    /// </summary>
    [SugarColumn(ColumnDescription = "第三方账号Id")]
    public string ThirdAccountId { get; set; }
}
